POST
/
v1
/
constants
cURL
curl -X POST 'https://api.growthbook.io/api/v1/constants' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"key":"config-snippet","name":"Config Snippet","type":"json","value":"{\"timeout\":30}"}'import requests
url = "https://api.growthbook.io/api/v1/constants"
payload = {
"key": "<string>",
"name": "<string>",
"value": "<string>",
"environmentValues": {},
"description": "<string>",
"project": "<string>",
"owner": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
key: '<string>',
name: '<string>',
value: '<string>',
environmentValues: {},
description: '<string>',
project: '<string>',
owner: '<string>'
})
};
fetch('https://api.growthbook.io/api/v1/constants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"constant": {
"id": "<string>",
"key": "<string>",
"name": "<string>",
"type": "string",
"dateCreated": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"owner": "<string>",
"ownerEmail": "<string>",
"value": "<string>",
"environmentValues": {},
"description": "<string>",
"project": "<string>",
"archived": true
}
}Authorizations
bearerAuthbasicAuth
If using Bearer auth, pass the Secret Key as the token:
curl https://api.growthbook.io/api/v1/features -H "Authorization: Bearer secret_abc123DEF456"
Body
application/json
Stable reference handle (lowercase slug, unique per org), referenced as @const:key
Pattern:
^[a-z0-9][a-z0-9\-_]*$The display name of the constant
string (interpolated as {{ @const:key }}) or json (substituted as a whole value)
Available options:
string, json Show child attributes
Show child attributes
Maximum string length:
10000The userId or email address of the owner. If an email address is provided, it will be used to look up the userId of the matching organization member. If an ID is provided, it will be validated as existing in the organization. When omitted, it defaults to the user associated with the request's Personal Access Token (PAT), if one is being used.
Response
200 - application/json
Resource created
Show child attributes
Show child attributes
Was this page helpful?
⌘I
cURL
curl -X POST 'https://api.growthbook.io/api/v1/constants' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"key":"config-snippet","name":"Config Snippet","type":"json","value":"{\"timeout\":30}"}'import requests
url = "https://api.growthbook.io/api/v1/constants"
payload = {
"key": "<string>",
"name": "<string>",
"value": "<string>",
"environmentValues": {},
"description": "<string>",
"project": "<string>",
"owner": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
key: '<string>',
name: '<string>',
value: '<string>',
environmentValues: {},
description: '<string>',
project: '<string>',
owner: '<string>'
})
};
fetch('https://api.growthbook.io/api/v1/constants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"constant": {
"id": "<string>",
"key": "<string>",
"name": "<string>",
"type": "string",
"dateCreated": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"owner": "<string>",
"ownerEmail": "<string>",
"value": "<string>",
"environmentValues": {},
"description": "<string>",
"project": "<string>",
"archived": true
}
}
